import { Repository } from "typeorm";
import { Shop } from "../../common/shop/shop.entity";
import { Review } from "src/common/review/review.entity";
import { Offer } from "src/common/offer/offer.entity";
export declare class ShopService {
    private readonly shopRepository;
    private readonly reviewRepository;
    private readonly offerRepository;
    private readonly logger;
    constructor(shopRepository: Repository<Shop>, reviewRepository: Repository<Review>, offerRepository: Repository<Offer>);
    getAllCities(): Promise<string[]>;
    findActive(lang: 'en', filters: any, list_type: string, offerid: string, userLat?: number, userLon?: number, radiusKm?: number, latestType?: string, city?: string): Promise<any[]>;
    findOne(id: number, lang: string): Promise<any>;
    findActiveSearch(lang: string, search?: string): Promise<Shop[]>;
    private applyLanguageToShops;
}
